<div class="shadow-box mb-5">
  <%= simple_form_for @infrastructure, html: {class: "mt-4"} do |f| %>
    <%= f.error_notification %>
    <div class="row">
      <div class="col-md-3">
        <%= f.input :campus, label: "CAMPUS", collection: campus_collection, input_html: {class: "form-control form-flied"} %>
      </div>
      <div class="col-md-3">
        <%= f.input :name, label: "NAME", input_html: { class: "form-control form-flied" } %>
      </div>
      <div class="col-md-3">
        <%= f.input :land_availability, label: "LAND AVAILABILITY (IN ACRES)", input_html: {class: "form-control form-flied"} %>
      </div>
      <div class="col-md-3">
        <%= f.input :no_of_classes, label: "NO OF CLASSES", input_html: {class: "form-control form-flied"} %>
      </div>
      <div class="col-md-3">
        <%= f.input :no_of_labs, label: "NO OF LABS", input_html: {class: "form-control form-flied"} %>
      </div>
    </div>

    <hr>
    <div class="sub-head my-4">Hostel</div>
    <%= f.simple_fields_for :hostels do |hostel| %>
      <%= render 'hostel_fields', :f => hostel %>
    <% end %>

    <hr>
    <div class="sub-head my-4">Library</div>
    <%= f.simple_fields_for :libraries do |library| %>
      <%= render 'library_fields', :f => library %>
    <% end %>
    <div class='links'>
      <%= link_to_add_association 'ADD LIBRARY', f, :libraries, class: "btn-success btn rounded-2 btn-sm" %>
    </div>

    <hr>
    <div class="sub-head my-4">ICT Infrastructure</div>
    <%= f.simple_fields_for :ict_infrastructures do |ict_infrastructure| %>
      <%= render 'ict_infrastructure_fields', :f => ict_infrastructure %>
    <% end %>
    <div class='links'>
      <%= link_to_add_association 'ADD ICT INFRASTRUCTURE', f, :ict_infrastructures, class: "btn-success btn rounded-2 btn-sm mb-3" %>
    </div>

    <div class="form-actions">
      <%= f.button :submit, "SAVE", class: "btn btn-primary btn-blue" %>
    </div>
  <% end %>
</div>